# Uses of Interface org.bukkit.entity.Witch (Scissors-API 1.19-R0.1-SNAPSHOT API)
use: package: org.bukkit.entity, interface: Witch

# Uses of Interface
org.bukkit.entity.Witch

Packages that use Witch
Package
Description
com.destroystokyo.paper.event.entity

## Uses of Witch in com.destroystokyo.paper.event.entity

Methods in com.destroystokyo.paper.event.entity that return Witch
Modifier and Type
Method
Description
`@NotNull Witch`
WitchConsumePotionEvent.`getEntity()`
`@NotNull Witch`
WitchReadyPotionEvent.`getEntity()`
`@NotNull Witch`
WitchThrowPotionEvent.`getEntity()`
Methods in com.destroystokyo.paper.event.entity with parameters of type Witch
Modifier and Type
Method
Description
`static @Nullable ItemStack`
WitchReadyPotionEvent.`process(@NotNull Witch witch, @Nullable ItemStack potion)`
Fires thee event, returning the desired potion, or air of cancelled
Constructors in com.destroystokyo.paper.event.entity with parameters of type Witch
Modifier
Constructor
Description
``
`WitchConsumePotionEvent(@NotNull Witch witch, @Nullable ItemStack potion)`
``
`WitchReadyPotionEvent(@NotNull Witch witch, @Nullable ItemStack potion)`
``
`WitchThrowPotionEvent(@NotNull Witch witch, @NotNull LivingEntity target, @Nullable ItemStack potion)`